EDIT - feature request #9327

Make taxon secundum reference an original source
11/25/2020 08:07 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

copied from #6581

Related issues:

Related to EDIT - task #9536: Remove old single source citation and microCita... Closed
Related to EDIT - task #9330: Remove "NomenclaturalSource" from OriginalSourc... Closed
Related to EDIT - feature request #10081: Show name in source for sec ref of ... Closed
Blocks EDIT - feature request #9328: Adapt Editor to switch to originalSource... Closed
Blocks EDIT - feature request #9329: Implement sec reference as original sour... Closed
Copied from EDIT - feature request #6581: Make all microreferenced references... Closed

Associated revisions

Revision d013aca5 - 03/15/2021 10:10 PM - Andreas Miiller

ref #9327 add first version of update script for v5.22 with update for secSource

Revision 73d4928f - 03/17/2021 05:06 PM - Andreas Miiller

ref #9327 adapt vaadin to new secundum handling

Revision 2ad71923 - 03/18/2021 02:12 PM - Andreas Miiller
ref #9327 adapt vaadin property path(s) to secSource

Revision d71868a2 - 03/19/2021 02:01 PM - Andreas Miiller

ref #9327 add sec source to TaxonBase (with few open issues)

Revision dda109c6 - 03/19/2021 02:01 PM - Andreas Miiller

ref #9327 fix tests in persistence and service layer

Revision 3f3fefaa - 03/19/2021 02:04 PM - Andreas Miuller

ref #9327 remove saveNewTaxonNode()

Revision f5cac6e5 - 03/19/2021 02:04 PM - Andreas Miiller
ref #9327 add erronously deleted line

Revision ¢8542c18 - 03/19/2021 02:04 PM - Andreas Miiller
ref #9327 update script updated and some further test and propertyPath adaptations

Revision b13c566d - 03/19/2021 02:04 PM - Andreas Miiller

ref #9327 fix update script for secundum handling and add data in FullCoverageDataGenerator

Revision de8b9705 - 03/22/2021 12:56 PM - Andreas Muller

ref #9327 , ref #9211 adapt some classpaths for webservice and Beanlnitializer for new source handling for secundum and classification.source

Revision 69339d35 - 04/19/2021 10:09 PM - Andreas Miiller

ref #9327 adapt BfnXmllmportAddtionalTerms import to new secundum source handling
Revision 2d147336 - 05/01/2021 08:31 PM - Andreas Miiller

ref #9327 adapt aggregation tests for secundum original source

History

#1 - 11/25/2020 08:08 PM - Andreas Miiller

- Copied from feature request #6581: Make all microreferenced references OriginalSources added

#2 - 11/25/2020 08:08 PM - Andreas Miiller

- Blocks feature request #9328: Adapt Editor to switch to originalSource for taxon secundum added

#3 - 11/25/2020 08:11 PM - Andreas Miiller

- Blocks feature request #9329: Implement sec reference as original source in dataportal added

#4 - 12/04/2020 04:11 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#5 - 03/17/2021 07:28 PM - Andreas Miuller

- Related to task #9536: Remove old single source citation and microCitation columns for secundum and
DescriptionElementBase_OriginalSourceBase and TaxonName_NomenclaturalStatus added

#6 - 03/17/2021 10:04 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

#7 - 03/17/2021 10:25 PM - Andreas Miuller

- Related to task #9330: Remove "NomenclaturalSource" from OriginalSource Type added

#8 - 03/19/2021 03:55 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Target version changed from CDM UML 5.43 to Release 5.22
- % Done changed from 50 to 100

Closing this ticket as update script worked successfully on test server. Followup tickets for dataportal and taxeditor were tagged accordingly.

#9 - 06/24/2022 12:23 PM - Andreas Miiller

- Related to feature request #10081: Show name in source for sec ref of accepted taxon added
